> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scaleway features available



## OpenAPI

````yaml /api-reference/openapi.yaml get /scaleway/clusterFeature
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Secret Manager Access
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /scaleway/clusterFeature:
    get:
      tags:
        - Cloud Provider
      summary: List Scaleway features available
      operationId: listScalewayFeatures
      responses:
        '200':
          description: list features available for Scaleway cloud provider
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClusterFeatureResponseList'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    ClusterFeatureResponseList:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/ClusterFeatureResponse'
    ClusterFeatureResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
          nullable: false
        description:
          type: string
          nullable: true
        cost_per_month_in_cents:
          type: integer
          example: 9900
          deprecated: true
          nullable: true
        cost_per_month:
          type: number
          example: 99
          deprecated: true
          nullable: true
        currency_code:
          type: string
          example: USD
          deprecated: true
          nullable: true
        is_cloud_provider_paying_feature:
          type: boolean
          nullable: false
          example: true
        cloud_provider_feature_documentation:
          type: string
          example: https://cloud.provider.doc/feature
          nullable: true
        is_qovery_paying_feature:
          type: boolean
          nullable: false
          example: true
        qovery_feature_documentation:
          type: string
          example: https://qovery.doc/feature
          nullable: true
        value_type:
          type: string
          nullable: false
          enum:
            - BOOLEAN
        value_object:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClusterFeatureStringResponse'
            - $ref: '#/components/schemas/ClusterFeatureBooleanResponse'
            - $ref: '#/components/schemas/ClusterFeatureAwsExistingVpcResponse'
            - $ref: '#/components/schemas/ClusterFeatureGcpExistingVpcResponse'
            - $ref: '#/components/schemas/ClusterFeatureKarpenterParametersResponse'
          discriminator:
            propertyName: type
            mapping:
              STRING:
                $ref: '#/components/schemas/ClusterFeatureStringResponse'
              BOOLEAN:
                $ref: '#/components/schemas/ClusterFeatureBooleanResponse'
              AWS_USER_PROVIDED_NETWORK:
                $ref: '#/components/schemas/ClusterFeatureAwsExistingVpcResponse'
              GCP_USER_PROVIDED_NETWORK:
                $ref: '#/components/schemas/ClusterFeatureGcpExistingVpcResponse'
              KARPENTER:
                $ref: '#/components/schemas/ClusterFeatureKarpenterParametersResponse'
        is_value_updatable:
          type: boolean
          default: false
        accepted_values:
          type: array
          items:
            oneOf:
              - type: string
              - type: boolean
    ClusterFeatureStringResponse:
      type: object
      required:
        - type
        - value
      properties:
        type:
          $ref: '#/components/schemas/ClusterFeatureResponseTypeEnum'
        value:
          type: string
    ClusterFeatureBooleanResponse:
      type: object
      required:
        - type
        - value
      properties:
        type:
          $ref: '#/components/schemas/ClusterFeatureResponseTypeEnum'
        value:
          type: boolean
    ClusterFeatureAwsExistingVpcResponse:
      type: object
      required:
        - type
        - value
      properties:
        type:
          $ref: '#/components/schemas/ClusterFeatureResponseTypeEnum'
        value:
          $ref: '#/components/schemas/ClusterFeatureAwsExistingVpc'
    ClusterFeatureGcpExistingVpcResponse:
      type: object
      required:
        - type
        - value
      properties:
        type:
          $ref: '#/components/schemas/ClusterFeatureResponseTypeEnum'
        value:
          $ref: '#/components/schemas/ClusterFeatureGcpExistingVpc'
    ClusterFeatureKarpenterParametersResponse:
      title: ClusterFeatureKarpenterParametersResponse
      x-stoplight:
        id: q33tdlz4ychh5
      type: object
      required:
        - type
        - value
      properties:
        type:
          $ref: '#/components/schemas/ClusterFeatureResponseTypeEnum'
        value:
          $ref: '#/components/schemas/ClusterFeatureKarpenterParameters'
    ClusterFeatureResponseTypeEnum:
      type: string
      enum:
        - STRING
        - BOOLEAN
        - AWS_USER_PROVIDED_NETWORK
        - GCP_USER_PROVIDED_NETWORK
        - KARPENTER
    ClusterFeatureAwsExistingVpc:
      type: object
      required:
        - aws_vpc_eks_id
        - eks_subnets_zone_a_ids
        - eks_subnets_zone_b_ids
        - eks_subnets_zone_c_ids
      properties:
        aws_vpc_eks_id:
          type: string
        eks_subnets_zone_a_ids:
          type: array
          items:
            type: string
        eks_subnets_zone_b_ids:
          type: array
          items:
            type: string
        eks_subnets_zone_c_ids:
          type: array
          items:
            type: string
        documentdb_subnets_zone_a_ids:
          type: array
          nullable: true
          items:
            type: string
        documentdb_subnets_zone_b_ids:
          type: array
          nullable: true
          items:
            type: string
        documentdb_subnets_zone_c_ids:
          type: array
          nullable: true
          items:
            type: string
        elasticache_subnets_zone_a_ids:
          type: array
          nullable: true
          items:
            type: string
        elasticache_subnets_zone_b_ids:
          type: array
          nullable: true
          items:
            type: string
        elasticache_subnets_zone_c_ids:
          type: array
          nullable: true
          items:
            type: string
        rds_subnets_zone_a_ids:
          type: array
          nullable: true
          items:
            type: string
        rds_subnets_zone_b_ids:
          type: array
          nullable: true
          items:
            type: string
        rds_subnets_zone_c_ids:
          type: array
          nullable: true
          items:
            type: string
        eks_karpenter_fargate_subnets_zone_a_ids:
          type: array
          x-stoplight:
            id: 8rttrya00wmkr
          nullable: true
          items:
            x-stoplight:
              id: rtxx96v011irr
            type: string
        eks_karpenter_fargate_subnets_zone_b_ids:
          type: array
          x-stoplight:
            id: xnbtr8676culs
          nullable: true
          items:
            x-stoplight:
              id: 1w592qk4spodn
            type: string
        eks_karpenter_fargate_subnets_zone_c_ids:
          type: array
          x-stoplight:
            id: st5domzqqkcoh
          nullable: true
          items:
            x-stoplight:
              id: xyjjh50ckrzee
            type: string
        eks_create_nodes_in_private_subnet:
          type: boolean
          default: true
    ClusterFeatureGcpExistingVpc:
      type: object
      required:
        - vpc_name
      properties:
        vpc_name:
          type: string
        vpc_project_id:
          type: string
          nullable: true
        subnetwork_name:
          type: string
          nullable: true
        ip_range_services_name:
          type: string
          nullable: true
        ip_range_pods_name:
          type: string
          nullable: true
        additional_ip_range_pods_names:
          type: array
          items:
            type: string
    ClusterFeatureKarpenterParameters:
      title: ClusterFeatureKarpenterParameters
      x-stoplight:
        id: fzprvq41bcge1
      type: object
      required:
        - spot_enabled
        - disk_size_in_gib
        - default_service_architecture
        - qovery_node_pools
      properties:
        spot_enabled:
          type: boolean
          x-stoplight:
            id: fuolcs5q8ncp8
        disk_size_in_gib:
          type: integer
        disk_iops:
          type: integer
          example: 7800
          minimum: 3000
          maximum: 16000
          description: >-
            Unit is operation/seconds. The disk IOPS to be used for the node
            configuration
        disk_throughput:
          type: integer
          x-stoplight:
            id: nwpjqw3bf7px0
          minimum: 125
          maximum: 1000
          example: 255
          description: >-
            Unit is in MB/s. The disk throughput to be used for the node
            configuration
        default_service_architecture:
          $ref: '#/components/schemas/CpuArchitectureEnum'
        qovery_node_pools:
          $ref: '#/components/schemas/KarpenterNodePool'
    CpuArchitectureEnum:
      title: CpuArchitectureEnum
      x-stoplight:
        id: jlrd3r03vjzoy
      enum:
        - AMD64
        - ARM64
    KarpenterNodePool:
      title: KarpenterNodePool
      x-stoplight:
        id: q8vks57rql8x1
      type: object
      required:
        - requirements
      properties:
        requirements:
          x-stoplight:
            id: pkowctfxv7q77
          type: array
          items:
            $ref: '#/components/schemas/KarpenterNodePoolRequirement'
        stable_override:
          $ref: '#/components/schemas/KarpenterStableNodePoolOverride'
        default_override:
          $ref: '#/components/schemas/KarpenterDefaultNodePoolOverride'
        gpu_override:
          $ref: '#/components/schemas/KarpenterGpuNodePoolOverride'
        cronjob_override:
          $ref: '#/components/schemas/KarpenterCronjobNodePoolOverride'
    KarpenterNodePoolRequirement:
      title: KarpenterNodePoolRequirement
      x-stoplight:
        id: 4ebed64emvn09
      type: object
      required:
        - key
        - operator
        - values
      properties:
        key:
          $ref: '#/components/schemas/KarpenterNodePoolRequirementKey'
        operator:
          $ref: '#/components/schemas/KarpenterNodePoolRequirementOperator'
        values:
          type: array
          x-stoplight:
            id: qf036o7tch5ed
          items:
            x-stoplight:
              id: 02kz5mierypik
            type: string
    KarpenterStableNodePoolOverride:
      title: KarpenterStableNodePoolOverride
      type: object
      properties:
        consolidation:
          $ref: '#/components/schemas/KarpenterNodePoolConsolidation'
        limits:
          $ref: '#/components/schemas/KarpenterNodePoolLimits'
        consolidate_after:
          type: string
          description: >-
            Time to wait before consolidating empty or underutilized nodes
            (e.g., 1m, 10m, 1h). Maximum: 24h
          example: 30s
          pattern: ^\d+(s|m|h)$
    KarpenterDefaultNodePoolOverride:
      title: KarpenterDefaultNodePoolOverride
      type: object
      properties:
        limits:
          $ref: '#/components/schemas/KarpenterNodePoolLimits'
        consolidate_after:
          type: string
          description: >-
            Time to wait before consolidating empty or underutilized nodes
            (e.g., 1m, 10m, 1h). Maximum: 24h
          example: 1m
          pattern: ^\d+(s|m|h)$
    KarpenterGpuNodePoolOverride:
      title: KarpenterGpuNodePoolOverride
      x-stoplight:
        id: fi2s446xdrdu1
      type: object
      properties:
        consolidation:
          $ref: '#/components/schemas/KarpenterNodePoolConsolidation'
        limits:
          $ref: '#/components/schemas/KarpenterNodePoolLimits'
        requirements:
          type: array
          x-stoplight:
            id: 38pdri17ozql9
          items:
            $ref: '#/components/schemas/KarpenterNodePoolRequirement'
        disk_size_in_gib:
          type: integer
          x-stoplight:
            id: xq5ycmme7o025
          minimum: 0
          default: 100
          example: 150
        disk_iops:
          type: integer
          x-stoplight:
            id: gpu1d1skiops
          minimum: 3000
          maximum: 16000
          example: 7800
          description: >-
            Unit is operation/seconds. The disk IOPS to be used for the GPU node
            pool configuration
        disk_throughput:
          type: integer
          x-stoplight:
            id: gpu1d1skthr
          minimum: 125
          maximum: 1000
          example: 255
          description: >-
            Unit is in MB/s. The disk throughput to be used for the GPU node
            pool configuration
        spot_enabled:
          type: boolean
          x-stoplight:
            id: rjzxs0e2rn0ij
          default: false
        consolidate_after:
          type: string
          description: >-
            Time to wait before consolidating empty or underutilized nodes
            (e.g., 1m, 10m, 1h). Maximum: 24h
          example: 30s
          pattern: ^\d+(s|m|h)$
    KarpenterCronjobNodePoolOverride:
      title: KarpenterCronjobNodePoolOverride
      type: object
      properties:
        consolidation:
          $ref: '#/components/schemas/KarpenterNodePoolConsolidation'
        limits:
          $ref: '#/components/schemas/KarpenterNodePoolLimits'
        consolidate_after:
          type: string
          description: >-
            Time to wait before consolidating empty or underutilized nodes
            (e.g., 1m, 10m, 1h). Maximum: 24h
          example: 30s
          pattern: ^\d+(s|m|h)$
    KarpenterNodePoolRequirementKey:
      title: KarpenterNodePoolRequirementKey
      x-stoplight:
        id: eancn656efy06
      enum:
        - InstanceFamily
        - InstanceSize
        - Arch
        - SkuFamily
        - SkuVersion
    KarpenterNodePoolRequirementOperator:
      title: KarpenterNodePoolRequirementOperator
      x-stoplight:
        id: wkzlvifywpa0t
      enum:
        - In
    KarpenterNodePoolConsolidation:
      title: KarpenterNodePoolConsolidation
      type: object
      required:
        - enabled
        - days
        - start_time
        - duration
      properties:
        enabled:
          type: boolean
          default: false
          nullable: false
        days:
          type: array
          nullable: false
          items:
            $ref: '#/components/schemas/WeekdayEnum'
        start_time:
          description: |
            The start date of the consolidation.
            The format should follow ISO-8601 convention: "PThh:mm"
          type: string
          example: PT22:30
          nullable: false
        duration:
          description: |
            The duration during the consolidation will be active.
            The format should follow ISO-8601 convention: "PThhHmmM"
          type: string
          example: PT2H45M
          nullable: false
    KarpenterNodePoolLimits:
      title: KarpenterNodePoolLimits
      type: object
      required:
        - enabled
        - max_cpu_in_vcpu
        - max_memory_in_gibibytes
        - max_gpu
      properties:
        enabled:
          type: boolean
          default: false
          nullable: false
        max_cpu_in_vcpu:
          type: integer
          description: >-
            CPU limit that will be applied for the node pool (in vCPU unit: 1
            vCPU = 1000 millicores)
        max_memory_in_gibibytes:
          type: integer
          description: >-
            Memory limit that will be applied for the node pool (in Gibibytes
            unit: 1Gi = 1024 mebibytes)
        max_gpu:
          type: integer
          x-stoplight:
            id: fn3k34ck5abe4
          default: 0
          example: 10
          minimum: 0
          description: GPU limit that will be applied for the node pool
    WeekdayEnum:
      type: string
      enum:
        - MONDAY
        - TUESDAY
        - WEDNESDAY
        - THURSDAY
        - FRIDAY
        - SATURDAY
        - SUNDAY
      example: MONDAY
  responses:
    '401':
      description: Access token is missing or invalid
    '403':
      description: Access forbidden
    '404':
      description: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````